mbed TLS v2.16.5

Data Fields
mbedtls_entropy_source_state Struct Reference

Entropy source state. More...

`#include <entropy.h>`

## Data Fields
mbedtls_entropy_f_source_ptr | f_source
void * | p_source
size_t | size
size_t | threshold
int | strong

## Detailed Description

Entropy source state.

Definition at line 110 of file entropy.h.

## Field Documentation

## ◆ f_source

mbedtls_entropy_f_source_ptr mbedtls_entropy_source_state::f_source

The entropy source callback

Definition at line 112 of file entropy.h.

## ◆ p_source

void* mbedtls_entropy_source_state::p_source

The callback data pointer

Definition at line 113 of file entropy.h.

## ◆ size

size_t mbedtls_entropy_source_state::size

Amount received in bytes

Definition at line 114 of file entropy.h.

## ◆ strong

int mbedtls_entropy_source_state::strong

Is the source strong?

Definition at line 116 of file entropy.h.

## ◆ threshold

size_t mbedtls_entropy_source_state::threshold

Minimum bytes required before release

Definition at line 115 of file entropy.h.

The documentation for this struct was generated from the following file:

- entropy.h